/////////////////////////////////////////////////////
//
// AboutBox.h
//
// Original author:
//    Joel McCormick
//
// Purpose of this file:
//    defines the public interface for the About Box
//    dialog
//
// Portability information:
//    this file contains code written specifically
//    for a Win32 build of the BLG
//
/////////////////////////////////////////////////////

// make sure this header can't be included twice
#if !defined(ABOUT_BOX_H_INCLUDED)
#define ABOUT_BOX_H_INCLUDED

#include "BLGDefs.h"

/////////////////////////////////////////////////////
//
// AboutBoxDoModal
//
/////////////////////////////////////////////////////
//
// Purpose:
//    provides a somewhat abstract interface to the
//    About Box dialog so that modules that need
//    to use this dialog don't have to worry about
//    any of the details of displaying the dialog box;
// Return value:
//    IDOK if the user dismisses the dialog with
//    the OK button; IDCANCEL if the user dismisses
//    the dialog box any other way
//
/////////////////////////////////////////////////////

int AboutBoxDoModal();

#endif // !defined(ABOUT_BOX_H_INCLUDED)